import math;
import hyperbolic_geometry;

size(500,500);
settings.outformat="pdf";

// What do we want to test?
// Some n-gons in the hyperbolic plane.

int max_corners = 2;

for (int shell = 1; shell < 8; ++shell) {
    ++max_corners;
    hyperbolic_point[] P;
    for (int corner = 0; corner < max_corners; ++corner) {
        P[corner] = hyperbolic_point(shell/3, corner*360/max_corners);
    }
    hyperbolic_polygon pgon = hyperbolic_polygon(P);
    draw(pgon, 8/shell*red+(8-shell)/shell*yellow);
    dot(pgon);
}

draw((1,1)--(1,-1)--(-1,-1)--(-1,1));
draw(unitcircle);
